[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: xulrunner-1.9.1.1-1.fc11.x86_64 update pulls in i586 packages



On Thu, 2009-07-23 at 11:41 -0400, Seth Vidal wrote:
> 
> On Thu, 23 Jul 2009, Braden McDaniel wrote:
> 
> > On Thu, 2009-07-23 at 23:26 +0900, Mamoru Tasaka wrote:
> >
> > [snip]
> >
> >> rel-eng team is now working on this:
> >> https://fedorahosted.org/rel-eng/ticket/2008
> >
> > Er... So why did a missing update result in pulling down i586 packages
> > rather than a dependency check failure?
> >
> 
> if I had to guess it worked like this:
> 
> the dep was provided by two pkgs - the i586 one and the x86_64 one.
> 
> but the dep itself was not arch-specific.
> 
> So yum said: I can only find an i586 pkg providing this, so I'll install 
> that.
> 
> Normally yum would say: I have an i586 and an x86_64 pkg - x86_64 is 
> better if: (the requiring package is also x86_64 or if the system is an 
> x86_64)
> 
> but in this case it could not and it satisfied the dep however it could.

Is the problem that the gecko-libs dependency is not arch-specific?  How
do we fix that?

-- 
Braden McDaniel <braden endoframe com>


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]